| Home | Libraries | People | FAQ | More

## Function template make_const_step_iterator_end

boost::numeric::odeint::make_const_step_iterator_end — Factory function for const_step_iterator. Constructs a end iterator.

## Synopsis

    // In header: <boost/numeric/odeint/iterator/const_step_iterator.hpp>

    template<typename Stepper, typename System, typename State>
      const_step_iterator< Stepper, System, State >
      make_const_step_iterator_end(Stepper stepper, System system, State & x);

## Description

Parameters: |
`stepper` | The stepper to use during the iteration.
`system` | The system function (ODE) to solve.
`x` | The initial state. `const_step_iterator` stores a reference of s and changes its value during the iteration.
Returns: | The const_step_iterator.